Etf Daily Price
curl --request GET \
--url https://api.chicago.global/v1/etf/daily-price \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chicago.global/v1/etf/daily-price"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chicago.global/v1/etf/daily-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chicago.global/v1/etf/daily-price",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chicago.global/v1/etf/daily-price"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chicago.global/v1/etf/daily-price")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chicago.global/v1/etf/daily-price")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ETF
ETF Daily Price
Get daily OHLCV for an ETF.
GET
/
v1
/
etf
/
daily-price
Etf Daily Price
curl --request GET \
--url https://api.chicago.global/v1/etf/daily-price \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chicago.global/v1/etf/daily-price"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chicago.global/v1/etf/daily-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chicago.global/v1/etf/daily-price",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chicago.global/v1/etf/daily-price"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chicago.global/v1/etf/daily-price")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chicago.global/v1/etf/daily-price")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get historical daily OHLCV price data for an ETF.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
symbol | string | Yes | ETF symbol (e.g., SPY, QQQ). Comma-separated for multiple. |
start_date | string | No | Start date (YYYY-MM-DD). Defaults to 1 year ago. |
end_date | string | No | End date (YYYY-MM-DD). Defaults to latest available. |
Response
Returns an array of daily price records:[
{
"symbol": "SPY.P",
"date": "2025-12-01",
"open": 678.81,
"high": 682.99,
"low": 678.74,
"close": 680.27,
"volume": 61201192,
"change": -3.12,
"changepercent": -0.46
},
{
"symbol": "SPY.P",
"date": "2025-12-02",
"open": 681.92,
"high": 683.82,
"low": 679.33,
"close": 681.53,
"volume": 62953844,
"change": 1.26,
"changepercent": 0.19
}
]
Key Fields
| Field | Description |
|---|---|
date | Trading date |
open / high / low / close | OHLC prices in ETF’s trading currency |
volume | Daily trading volume |
change | Absolute price change from previous close |
changepercent | Percentage price change from previous close |
Example
curl "https://api.chicago.global/v1/etf/daily-price?symbol=SPY&start_date=2025-12-01&end_date=2025-12-31" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start date (YYYY-MM-DD)
Example:
"2025-01-01"
End date (YYYY-MM-DD)
Example:
"2025-03-01"
ETF symbol(s). Single or comma-separated
Examples:
"SPY"
"SPY,QQQ,IWM"
Response
Successful Response
Last modified on April 1, 2026
⌘I